#!/bin/bash

for i in lxc-*.in
do
  echo $i
  OUT=$(echo $i | sed 's/\.in$//')
  HTML=$(echo $i | sed 's/\.sgml\.in$/.html/')
  echo "<?xml version='1.0' encoding='UTF-8'?>" > $OUT
  echo '<?xml-stylesheet type="text/xsl" href="http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"?>' >> $OUT
sed -e 's@<!DOCTYPE refentry PUBLIC .*@<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [@' \
    -e 'sX@builddir@/XX' $i >> $OUT
  xsltproc http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $OUT > $HTML
done
